package com.example.mapper;

import com.example.entity.Adminstore;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 操作adminstore相关数据接口
*/
public interface AdminstoreMapper {

    /**
      * 新增
    */
    int insert(Adminstore adminstore);

    /**
      * 删除
    */
    int deleteById(Integer id);

    /**
      * 修改
    */
    int updateById(Adminstore adminstore);

    /**
      * 根据ID查询
    */
    Adminstore selectById(Integer id);

    /**
      * 查询所有
    */
    List<Adminstore> selectAll(Adminstore adminstore);

    @Select("select * from adminstore where username = #{username}")
    Adminstore selectByUsername (String username);
}